classification
Title: Add unittestguirunner to Tools/
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.2
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: michael.foord Nosy List: MarkRoddy, brian.curtin, michael.foord, ned.deily, ronaldoussoren, techtonik
Priority: low Keywords: patch

Created on 2010-11-22 11:22 by michael.foord, last changed 2011-03-04 05:39 by techtonik. This issue is now closed.

Files
File name Uploaded Description Edit
unittestgui.patch MarkRoddy, 2010-12-11 17:10 patch adding unittestgui.py to Tools/scripts/
Messages (6)
msg122110 - (view) Author: Michael Foord (michael.foord) * (Python committer) Date: 2010-11-22 11:22
Add the unittestgui test runner, built with Tk, to the Tools directory.

It would be good to have this script included in the bin/ directory of the Mac installer as well.

The unittestgui runner can be found at:

    https://bitbucket.org/markroddy/unittestgui

The code is a modification of the original unittestgui by Steve Purcell and updated for test discovery by Mark Roddy. I have asked Mark if he is willing to help maintain the code and asked him to complete a contributor agreement.
msg122111 - (view) Author: Michael Foord (michael.foord) * (Python committer) Date: 2010-11-22 11:28
It will need documenting, or at least pointing to in the documentation, probably with a note recommending Hudson for production use - unittestgui is a tool for beginners / convenience.

Note also that Brian Curtin has contributed a patch to make unittestgui Python 3 compatible. This has not yet been 'merged upstream':

http://lists.idyll.org/pipermail/testing-in-python/2010-November/003604.html
msg123805 - (view) Author: Mark Roddy (MarkRoddy) * Date: 2010-12-11 17:10
Attaching patch that adds the unittestgui to Tools/scripts.  Also has updates to the unittest documentation which includes a note that this tool is for beginners and a CI system should be used in general.
msg125184 - (view) Author: Michael Foord (michael.foord) * (Python committer) Date: 2011-01-03 15:46
Committed revision 87685. 

It would be nice to see this included in the Mac OS X and Windows distribution, but I guess that applies to the *whole* Tools/ directory.
msg126314 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2011-01-15 06:16
FYI, as of 3.2rc1, Tools/ is now included in Mac OS X distributions in /Applications/Python 3.2/Extras/.
msg130026 - (view) Author: anatoly techtonik (techtonik) Date: 2011-03-04 05:39
Not present on Windows. See also issue #11394
History
Date User Action Args
2011-03-04 05:39:24techtoniksetnosy: + techtonik
messages: + msg130026
2011-01-15 06:16:59ned.deilysetnosy: + ned.deily
messages: + msg126314
2011-01-03 15:46:15michael.foordsetstatus: open -> closed
nosy: ronaldoussoren, michael.foord, brian.curtin, MarkRoddy
messages: + msg125184

resolution: accepted
stage: needs patch -> resolved
2010-12-11 17:10:25MarkRoddysetfiles: + unittestgui.patch

nosy: + MarkRoddy
messages: + msg123805

keywords: + patch
2010-11-22 11:28:13michael.foordsetnosy: + brian.curtin
messages: + msg122111
2010-11-22 11:22:57michael.foordcreate